Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005KickLogger Class Reference

Used to measure kicks with the ceiling camera. More...

`#include <GT2005KickLogger.h>`

List of all members.

## Public Member Functions
| GT2005KickLogger ()
void | loadLatest ()
void | save ()
void | addResult (GT2005KickRecord &r)
## Private Member Functions
std::list< GT2005KickRecord >::iterator | findInsertPos (int direction)
## Private Attributes
std::list< GT2005KickRecord > | list

## Detailed Description

Used to measure kicks with the ceiling camera.

Author:
  Carsten Schumann

Definition at line 50 of file GT2005KickLogger.h.

## Constructor & Destructor Documentation

GT2005KickLogger::GT2005KickLogger | ( |  | ) |

| Definition at line 12 of file GT2005KickLogger.cpp.

## Member Function Documentation

void GT2005KickLogger::loadLatest | ( |  | ) |

| Definition at line 42 of file GT2005KickLogger.cpp.

void GT2005KickLogger::save | ( |  | ) |

| Definition at line 45 of file GT2005KickLogger.cpp. Referenced by KickLoggerSymbols::kickLoggerSave().

void GT2005KickLogger::addResult | ( | GT2005KickRecord & | r | ) |

| Definition at line 16 of file GT2005KickLogger.cpp. References GT2005KickRecord::count, GT2005KickRecord::direction, and findInsertPos(). Referenced by KickLoggerSymbols::kickLoggerSetAfterStateAndCommit().

Here is the call graph for this function:

std::list< GT2005KickRecord >::iterator GT2005KickLogger::findInsertPos | ( | int | direction | ) | `[private]`

| Definition at line 31 of file GT2005KickLogger.cpp. Referenced by addResult().

## Member Data Documentation

std::list<GT2005KickRecord> GT2005KickLogger::list`[private]`

| Definition at line 59 of file GT2005KickLogger.h.

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/GT2005BehaviorControl/GT2005KickLogger/GT2005KickLogger.h
- Modules/BehaviorControl/GT2005BehaviorControl/GT2005KickLogger/GT2005KickLogger.cpp